
#import <UIKit/UIKit.h>
#import "GameBoardTile.h"

@interface GameBoardView : UIView {
	
	UIImage				*bgImage;
	id					delegate;
	NSMutableArray		*tileArray;
}

@property (nonatomic, retain) UIImage		*bgImage;
@property (nonatomic, assign) id			delegate;

-(id)initWithFrame:(CGRect)frame Tiles:(NSArray*)tiles BGImage:(UIImage*)image;

-(GameBoardTile*)tileAtPoint:(CGPoint)pt;
-(GameBoardTile*)tileAtIndex:(int)index;

@end


//プロトコル宣言
@protocol gameBoardViewDelegate

-(void) gameBoardViewTouchDown:(GameBoardView*)gmView Location:(CGPoint)touchPt Taps:(int)taps Event:(UIEvent*)event;
-(void) gameBoardViewTouchMove:(GameBoardView*)gmView Location:(CGPoint)touchPt Taps:(int)taps Event:(UIEvent*)event;
-(void) gameBoardViewTouchUp:(GameBoardView*)gmView Location:(CGPoint)touchPt Taps:(int)taps Event:(UIEvent*)event;

@end

